[Search] Search   [Register] Register /  [Login] Login 
현재 레진 3.1.6 버전을 쓰고 있습니다.(TLS1.2 관련)
Forum Index » Resin Server Q&A
Author Message
qwert6621



앞으로 모든 브라우저에서 TLS 1 및 TLS1.1은 지원을 하지 않는다고 해서

레진을 쓰고 있는 서버에서는 JDK 버전을 1.7 이상으로 업그레이드 한 후,

SSL을 적용하면 TLS1.2 프로토콜을 사용할 수 있다는 문서를 보고

JDK 1.8을 설치하고, 자바홈으로 등록 후 아래와 같이 설정하고

<jsse-ssl>
<key-store-type>JKS</key-store-type>
<key-store-file>C:/Server/JDK1.8/bin/2020gpkikeystore</key-store-file>
<password>**************</password>
</jsse-ssl>

레진을 재시작 했지만 여전히 TLS1.2에서는 사이트가 동작하지 않습니다.

레진 3.1.6 버전에서는 원래 TLS1.2 프로토콜을 지원하지 않는 것인지 궁금합니다.
Admin

[Avatar]


안녕하세요

레진이 정상 기동되어 해당 포트를 바인딩하였다면 설정에는 문제가 없는 것입니다.
만약 특정 환경에서 접속이 되지 않는 것이라면 다른 원인으로 추측됩니다.

추가로 문의주신 버전은 EOS가 지난 버전의 레진입니다.
업데이트도 중지되었기에 Resin4로 업그레이드하여 사용하시길 권장드립니다.

감사합니다.

This message was edited 1 time. Last update was at 07/02/2020 11:36:24

 
Forum Index » Resin Server Q&A
Go to: